#
# spec file for package python-fpconst
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname fpconst
Name:           python-%{modname}
Version:        0.7.3
Release:        4.2
Summary:        Utilities for Handling IEEE 754 Floating Point Special Values
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            http://research.warnes.net/projects/RStatServer/fpconst/index_html
Source:         %{modname}-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This python module implements constants and functions for working with IEEE754
double-precision special values. It provides constants for Not-a-Number (NaN),
Positive Infinity (Inf), and Negative Infinity (-Inf), as well as functions to
test for these values.

%prep
%setup -q -n %{modname}-%{version}
chmod 0644 pep-0754.txt

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/*
%doc CHANGELOG COPYING README pep-0754.txt

%changelog
* Wed May 28 2014 mcihar@suse.cz
- Spec file cleanup:
  * Fixed license
  * Made the package noarch
  * Use standard commands for building and installing python modules
* Tue Mar 22 2011 malcolmlewis@opensuse.org
- Fix executable-docs error
- Clean spec file and create changes file
* Thu Oct  4 2007 jfunk@funktronics.ca
- Initial release
